qgis composer image item size should match image size
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16759

Description

Currently, QGIS composer's image item size does not match the containing image, affecting usefulness of border frame, as well as the

effectiveness of snapping with this type of item. IMO, proper behavior should be for the image item to glue itself to containing image so

than we users load and/or resize item, the resulting item width and height are representing image's width and height.

Just to clarify, this is not a feature request for out of ratio stretching of images, but rather for image item size to be meaningful when

zooming in and out in-ratio.

Assigning to Nyall per our discussion.

Associated revisions

Revision 23b660ec - 2014-04-28 12:19 PM - Nyall Dawson

[FEATURE][composer] Implement different resize modes for composer picture items, including zoom, stretch, clip, frame to image size (fix #7886).

(Sponsored by City of Uster, Switzerland)

History

#1 - 2013-05-23 09:22 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this fixed by this

commit:818d97ee40ddc3c72453adb114c257dd7cd54ce1

?

#2 - 2013-05-23 08:32 PM - Mathieu Pellerin - nIRV

Na,that commit deals with scaling of svg marker symbology, not composer items.

That said, thanks for keeping a diligent eye on all these new issues. It's of great help.

#3 - 2014-04-28 03:20 AM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"23b660ec74229c5ec12f92a1376a8ea3e715e13e".
